=== debian/changelog ===
mlt (0.6.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 07 Feb 2011 18:02:18 +0100

mlt (0.6.2-1) experimental; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 24 Jan 2011 20:20:44 +0100
