=== src/modules/avformat/Makefile ===
--- 
+++ 
@@ -56,6 +56,11 @@
 
 SRCS := $(OBJS:.o=.c)
 
+ifeq ($(targetos), MinGW)
+OBJS += ../../win32/win32.o
+SRCS += ../../win32/win32.c
+endif
+
 all: 	$(TARGET)
 
 $(LOCAL_FFMPEG_OBJS):
