=== debian/changelog ===
mlt (0.7.0-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Wrap build dependencies.
  * Build with enabled hardening-wrapper.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 30 Apr 2011 20:44:02 +0200

mlt (0.7.0-1) unstable; urgency=low

  * New upstream release.
    Closes: #606123
    - Bumped SONAME of libmlt to 4.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 28 Mar 2011 21:05:04 +0200

mlt (0.6.2-3) unstable; urgency=low

  * Remove python-mlt3.install, it is done automagic by debian/rules.
    Thanks to Evgeni Golov.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 20 Feb 2011 11:16:32 +0100
