=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

# Enable motion estimation, MMX and SSE on amd64 architecture
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), "amd64"))
	EXTRA_CONFIGURE_OPTS += --enable-motion_est --enable-mmx --enable-sse
else
	EXTRA_CONFIGURE_OPTS += --disable-motion_est --disable-mmx --disable-sse --disable-sse2
endif

DEB_CONFIGURE_EXTRA_FLAGS := \
	--enable-gpl \
	$(EXTRA_CONFIGURE_OPTS) \
	--avformat-shared=/usr \
	--avformat-swscale \
	--luma-compress \
	--swig-languages=python \
	--qimage-libdir=/usr/lib

PYTHON_DIR := usr/lib/$(shell pyversions -d)/site-packages

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_auto_clean:
	[ ! -f config.mak ] || $(MAKE) distclean
	rm -f config.log *.pc src/modules/gtk2/config.h
	find \( -name '*.o' -o -name '*.mak' -o -name '.depend' \) -delete

override_dh_install:
	mkdir -p debian/python-mlt3/$(PYTHON_DIR)
	install -m 644 src/swig/python/mlt.py debian/python-mlt3/$(PYTHON_DIR)/mlt.py
	install -m 644 src/swig/python/_mlt.so debian/python-mlt3/$(PYTHON_DIR)/_mlt.so
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=libmlt-dbg
