=== src/modules/decklink/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 TARGET = ../libmltdecklink$(LIBSUF)
 
 OBJS = consumer_decklink.o \
+	producer_decklink.o \
 	DeckLinkAPIDispatch.o
 
 SRCS := $(OBJS:.o=.cpp)
@@ -31,6 +32,12 @@
 
 install: all
 	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
+	install -d "$(DESTDIR)$(datadir)/mlt/decklink"
+	install -m 644 producer_decklink.yml "$(DESTDIR)$(datadir)/mlt/decklink"
+
+uninstall:
+	rm "$(DESTDIR)$(libdir)/mlt/libmltdecklink$(LIBSUF)" 2> /dev/null || true
+	rm -rf "$(DESTDIR)$(datadir)/mlt/decklink"
 
 ifneq ($(wildcard .depend),)
 include .depend
