=== debian/changelog ===
mlt (0.7.2-2) unstable; urgency=low

  * Add patch 01-build-on-kfreebsd.diff, so that mlt also builds on kFreeBSD.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 14 May 2011 13:43:36 +0200

mlt (0.7.2-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 03 May 2011 19:43:32 +0200
