## mlt 0.7.2+git20110529

=== debian/changelog ===
mlt (0.7.2+git20110529-1) unstable; urgency=low

  * New upstream git snapshot.
    - Drop patch 01-build-on-kfreebsd, merged by upstream.
    - Fixed crash with framebuffer on amd64.
      #627133
  * Disable swfdec.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 29 May 2011 15:07:00 +0200
