## mlt 0.7.2+git20110530

=== debian/changelog ===
mlt (0.7.2+git20110530-1) unstable; urgency=low

  * New upstream git snapshot.
    - This fixes the abortion of melt, whops.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 30 May 2011 20:12:40 +0200
