=== src/modules/core/Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	   producer_loader.o \
 	   producer_noise.o \
 	   producer_ppm.o \
+	   filter_audiochannels.o \
 	   filter_audioconvert.o \
 	   filter_audiowave.o \
 	   filter_brightness.o \
@@ -68,10 +69,11 @@
 
 install: all
 	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
-	install -d "$(DESTDIR)$(prefix)/share/mlt/core"
+	install -d "$(DESTDIR)$(datadir)/mlt/core"
 	install -m 644 data_fx.properties "$(DESTDIR)$(datadir)/mlt/core"
 	install -m 644 loader.dict "$(DESTDIR)$(datadir)/mlt/core"
 	install -m 644 loader.ini "$(DESTDIR)$(datadir)/mlt/core"
+	install -m 644 *.yml "$(DESTDIR)$(datadir)/mlt/core"
 
 ifneq ($(wildcard .depend),)
 include .depend
