=== debian/changelog ===
mlt (0.7.4-3) unstable; urgency=low

  * Add patch from Stephane Fillod, to enable motionest on all architectures.
    Closes: #638622

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 26 Aug 2011 22:03:38 +0200

mlt (0.7.4-2) unstable; urgency=low

  * Add patch 01-kfbsd-ftbfs, to fix an FTBFS on GNU/kFreeBSD.
    Closes: #634210

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 17 Jul 2011 20:48:20 +0200

mlt (0.7.4-1) unstable; urgency=low

  * New upstream release.
  * Build with dh_python2 and install files to dist-packages instead of
    site-packages. Also fixes lintian's python-debug-in-wrong-location.
    Beer promised to Evgeni Golov.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 17 Jul 2011 18:28:12 +0200
