=== debian/rules ===
--- 
+++ 
@@ -2,15 +2,16 @@
 
 export DEB_BUILD_HARDENING=1
 
-# Enable motion estimation, MMX and SSE on amd64 architecture
+# Enable MMX and SSE on amd64 architecture
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), "amd64"))
-	EXTRA_CONFIGURE_OPTS += --enable-motion_est --enable-mmx --enable-sse
+	EXTRA_CONFIGURE_OPTS += --enable-mmx --enable-sse
 else
-	EXTRA_CONFIGURE_OPTS += --disable-motion_est --disable-mmx --disable-sse --disable-sse2
+	EXTRA_CONFIGURE_OPTS += --disable-mmx --disable-sse --disable-sse2
 endif
 
 DEB_CONFIGURE_EXTRA_FLAGS := \
 	--enable-gpl \
+	--enable-motion_est \
 	$(EXTRA_CONFIGURE_OPTS) \
 	--avformat-shared=/usr \
 	--avformat-swscale \
@@ -19,10 +20,10 @@
 	--qimage-libdir=/usr/lib \
 	--disable-swfdec
 
-PYTHON_DIR := usr/lib/$(shell pyversions -d)/site-packages
+PYTHON_DIR := usr/lib/$(shell pyversions -d)/dist-packages
 
 %:
-	dh $@
+	dh $@ --with python2
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)
@@ -40,3 +41,6 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=libmlt-dbg
+
+override_dh_python2:
+	dh_python2 --no-guessing-versions
