## mlt 0.7.6

=== debian/changelog ===
mlt (0.7.6-2) unstable; urgency=low

  * Add patch 01-hurd-ftbfs to fix a FTBFS on hurd-i386.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 05 Nov 2011 11:30:32 +0100

mlt (0.7.6-1) unstable; urgency=low

  * New upstream release.
    - Remove all patches, they have been merged by upstream.
    - Remove some obsolete docs.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 01 Nov 2011 21:57:38 +0100

mlt (0.7.4-4) unstable; urgency=low

  * Do not try to build mlt with libquicktime on hurd-i386.
  * Wrap all debian/control fields.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 08 Oct 2011 14:29:10 +0200
