## mlt 0.7.6+git20111213

=== debian/changelog ===
mlt (0.7.6+git20111213-1) unstable; urgency=low

  * New upstream git snapshot.
    - Fixes segfault with wrong xml input.
      Closes: #651604
  * Add patch 02-hurd-configure to detect hurd-i386 as Linux flavour.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 13 Dec 2011 19:43:41 +0100
