## mlt 0.7.6+git20111220

=== debian/changelog ===
mlt (0.7.6+git20111220-1) unstable; urgency=low

  * New upstream git snapshot.
  * Remove patch 01-hurd-ftbfs, it still applies but was merged by upstream to
    a better location in the source code.
  * Add patch 04-mltpp-hurd-configure to detect mlt++ module as Linux flavour.
  * Add patch 03-sys-soundcard to change the include of soundcard.h to
    sys/soundcard.h. This fixes a FTBFS on kfreebsd.
    Closes: #652059

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 20 Dec 2011 19:41:02 +0100
