=== debian/changelog ===
mlt (0.7.6+git20111222-1) unstable; urgency=low

  * New upstream git snapshot.
    - Removed all patches, they have been merged in this snapshot.
    - Do not build with RtAudio on hurd and kfreebsd, to avoid FTBFS.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 22 Dec 2011 18:25:52 +0100
