=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libdv4-dev,
  libgtk2.0-dev,
  libjack-dev,
- libquicktime-dev,
+ libquicktime-dev [!hurd-i386],
  libsamplerate-dev,
  libsdl1.2-dev,
  libsox-dev (>= 14.3.0),
@@ -31,7 +31,8 @@
 Package: libmlt-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libmlt4 (= ${binary:Version})
+Depends: ${misc:Depends},
+ libmlt4 (= ${binary:Version})
 Description: multimedia framework (development)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -45,10 +46,19 @@
 
 Package: libmlt4
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+ ${misc:Depends}
 Recommends: libmlt-data (>= ${source:Version})
-Conflicts: libmlt0.2, libmlt0.2.5, libmlt1, libmlt2, libmlt3
-Replaces: libmlt0.2, libmlt0.2.5, libmlt1, libmlt2, libmlt3
+Conflicts: libmlt0.2,
+ libmlt0.2.5,
+ libmlt1,
+ libmlt2,
+ libmlt3
+Replaces: libmlt0.2,
+ libmlt0.2.5,
+ libmlt1,
+ libmlt2,
+ libmlt3
 Description: multimedia framework (runtime)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -77,7 +87,8 @@
 Package: libmlt++-dev
 Section: libdevel
 Architecture: any
-Depends: libmlt++3 (= ${binary:Version}), ${misc:Depends}
+Depends: libmlt++3 (= ${binary:Version}),
+ ${misc:Depends}
 Description: MLT multimedia framework C++ wrapper (development)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -91,9 +102,12 @@
 
 Package: libmlt++3
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libmlt++0.2, libmlt++2
-Replaces: libmlt++0.2, libmlt++2
+Depends: ${shlibs:Depends},
+ ${misc:Depends}
+Conflicts: libmlt++0.2,
+ libmlt++2
+Replaces: libmlt++0.2,
+ libmlt++2
 Description: MLT multimedia framework C++ wrapper (runtime)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -109,7 +123,9 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libmlt4 (= ${binary:Version}),
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ libmlt4 (= ${binary:Version}),
  libmlt++3 (= ${binary:Version})
 Description: multimedia framework (debugging symbols)
  MLT is an open source multimedia framework, designed and developed for
@@ -124,7 +140,9 @@
 Package: melt
 Section: utils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libmlt-data (>= ${source:Version})
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ libmlt-data (>= ${source:Version})
 Description: command line media player and video editor
  melt was meant as a test tool for the MLT framework, but it is also a powerful
  multitrack command line oriented video editor. It could also used as an
@@ -133,7 +151,9 @@
 Package: python-mlt3
 Architecture: any
 Section: python
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ ${python:Depends}
 Provides: ${python:Provides}
 Conflicts: python-mlt2
 Replaces: python-mlt2
